/**
 *
 * Seten faktury pomoc rozhran DOM4J
 * ukzkov program k lnku XML API vydanm v Softwarovch novinch 3/2002
 * Copyright (c) Jirka Kosek 2002
 *
 * */

import java.io.*;
import java.util.*;
import org.dom4j.*;
import org.dom4j.io.*;

public class DOM4JUkazka
{
  // hlavn program
  public static void main(String[] args)
  {
    try
    {
      // naten dokumentu do JDOM stromu pomoc SAX parseru
      SAXReader parser = new SAXReader();
      Document doc = parser.read("faktura.xml");

      // pomocn promnn
      double suma = 0;
      double sumaDPH = 0;

      // zskn a zpracovn vech poloek faktury
      List polozky = doc.selectNodes("/faktura/polozka/cena");
      Iterator i = polozky.iterator();
      while (i.hasNext())
      {
        Element cena = (Element)i.next();
        double castka = Double.parseDouble(cena.getText());
        double sazbaDPH = Double.parseDouble(cena.attributeValue("dph")) / 100;
        suma += castka;
        sumaDPH += sazbaDPH * castka;
      }

      // vpis statistiky
      System.out.println("Celkem K:  " + suma);
      System.out.println("Celkem DPH: " + sumaDPH);
    }
    // zachycen vjimek
    catch (DocumentException e)
    {
      // Chyby vznikl pi prci s XML dokumentem
      System.out.println(e.getMessage());
    }
  }
}
