/**
 *
 * Seten faktury pomoc rozhran DOM
 * ukzkov program k lnku XML API vydanm v Softwarovch novinch 3/2002
 * Copyright (c) Jirka Kosek 2002
 *
 * */

import java.io.*;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.ParserConfigurationException;
import org.w3c.dom.*;
import org.xml.sax.*;

public class DOMUkazka
{
  // hlavn program
  public static void main(String[] args)
  {
    try
    {
      // vytvoen factory, kter um vytvet nov DocumentBuildery
      DocumentBuilderFactory dbf = DocumentBuilderFactory.newInstance();

      // nastaven parametr nov vytvench DocumentBuilder
      // dbf.setValidating(true);

      // vytvoen DocumentBuilderu
      DocumentBuilder builder = dbf.newDocumentBuilder();

      // naten dokumentu do pamti
      Document doc = builder.parse("faktura.xml");

      // zskn vech elemement cena
      NodeList nl = doc.getElementsByTagName("cena");

      // prchod uzly
      int n = nl.getLength();
      double suma = 0;
      double sumaDPH = 0;

      for (int i=0; i<n; i++)
      {
        Element node = (Element)nl.item(i);
        double sazbaDPH = Double.parseDouble(node.getAttribute("dph")) / 100;

        // obsah elementu me bt ve vce uzlech (rozdlen nap. komenti)
        StringBuffer cena = new StringBuffer();
        NodeList inl = node.getChildNodes();
        int m = inl.getLength();
        for (int j=0; j<m; j++)
        {
          // zajmaj ns jen textov uzly
          if (inl.item(j).getNodeType() == Node.TEXT_NODE)
            cena.append(inl.item(j).getNodeValue());
        }

        double castka = Double.parseDouble(cena.toString());
        suma += castka;
        sumaDPH += sazbaDPH * castka;
      }

      // vpis statistiky
      System.out.println("Celkem K:  " + suma);
      System.out.println("Celkem DPH: " + sumaDPH);
    }
    // zachycen vjimek
    catch (ParserConfigurationException e)
    {
      // Chyby vznikl pi nastavovn vlastnost parseru
      System.out.println(e.getMessage());
    }
    catch (SAXException e)
    {
      // Chyby vznikl pi parsovn XML dokumentu
      System.out.println(e.getMessage());
    }
    catch (IOException e)
    {
      // Chyby vznikl pi ten XML z njakho souboru nebo ze st
      System.out.println(e.getMessage());
    }
  }
}
