/**
 *
 * Seten faktury pomoc rozhran JDOM
 * ukzkov program k lnku XML API vydanm v Softwarovch novinch 3/2002
 * Copyright (c) Jirka Kosek 2002
 *
 * */

import java.io.*;
import java.util.*;
import org.jdom.*;
import org.jdom.input.SAXBuilder;

public class JDOMUkazka
{
  // hlavn program
  public static void main(String[] args)
  {
    try
    {
      // naten dokumentu do JDOM stromu pomoc SAX parseru
      SAXBuilder parser = new SAXBuilder();
      Document doc = parser.build("faktura.xml");

      // pomocn promnn
      double suma = 0;
      double sumaDPH = 0;

      // zskn a zpracovn vech poloek faktury
      List polozky = doc.getRootElement().getChildren("polozka");
      Iterator i = polozky.iterator();
      while (i.hasNext())
      {
        Element polozka = (Element)i.next();
        double castka = Double.parseDouble(polozka.getChildText("cena"));
        double sazbaDPH = Double.parseDouble(polozka.
                            getChild("cena").getAttributeValue("dph")) / 100;
        suma += castka;
        sumaDPH += sazbaDPH * castka;
      }

      // vpis statistiky
      System.out.println("Celkem K:  " + suma);
      System.out.println("Celkem DPH: " + sumaDPH);
    }
    // zachycen vjimek
    catch (JDOMException e)
    {
      // Chyby vznikl pi prci s XML dokumentem
      System.out.println(e.getMessage());
    }
  }
}
