/**
 *
 * Voln XSLT transformace z programu
 * ukzkov program k lnku XML API vydanm v Softwarovch novinch 3/2002
 * Copyright (c) Jirka Kosek 2002
 *
 * POZOR: Pro sputn je poteba JAXP1.1 (v1.0 nepodporuje SAX2 a XSLT)
 *
 * */

import java.io.*;
import javax.xml.transform.*;
import javax.xml.transform.stream.*;
import javax.xml.transform.dom.*;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.ParserConfigurationException;
import org.w3c.dom.*;
import org.xml.sax.*;

public class XSLTUkazka
{
  // hlavn program
  public static void main(String[] args)
  {
    try
    {
      // vytvoen factory pro "nov transformtory" ;)
      TransformerFactory trf = TransformerFactory.newInstance();

      // transforman objekt se inicializuje XSLT stylem ze souboru
      Transformer transformer = trf.newTransformer(new StreamSource("faktura.xsl"));

      // vstupn dokument nateme do DOM stromu
      DocumentBuilderFactory dbf = DocumentBuilderFactory.newInstance();
      DocumentBuilder builder = dbf.newDocumentBuilder();
      Document doc = builder.parse("faktura.xml");

      // provedeme transformaci z DOM stromu v pamti a ulome ji do souboru
      transformer.transform(new DOMSource(doc),
                            new StreamResult("faktura.html"));
    }
    // zachycen vjimek
    catch (TransformerConfigurationException e)
    {
      // Chyby vznikl pi nastavovn vlastnost transforman tdy
      System.out.println(e.getMessage());
    }
    catch (TransformerException e)
    {
      // Chyby vznikl pi transformaci
      System.out.println(e.getMessage());
    }
    catch (ParserConfigurationException e)
    {
      // Chyby vznikl pi nastavovn vlastnost parseru
      System.out.println(e.getMessage());
    }
    catch (SAXException e)
    {
      // Chyby vznikl pi parsovn XML dokumentu
      System.out.println(e.getMessage());
    }
    catch (IOException e)
    {
      // Chyby vznikl pi ten XML z njakho souboru nebo ze st
      System.out.println(e.getMessage());
    }
  }
}
